libetonyek::IWORKBezierElement Class Reference

`#include <IWORKBezierElement.h>`

Inheritance diagram for libetonyek::IWORKBezierElement:

## Public Member Functions
| IWORKBezierElement (IWORKXMLParserState &state, IWORKPathPtr_t &path)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKPathPtr_t & | m_path

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKBezierElement()

libetonyek::IWORKBezierElement::IWORKBezierElement | ( | IWORKXMLParserState & | state,
|  | IWORKPathPtr_t & | path )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKBezierElement::attribute | ( | int | name,
|  | const char * | value )
| override private virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKBezierElement::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_path

IWORKPathPtr_t& libetonyek::IWORKBezierElement::m_path
| private

Referenced by attribute(), endOfElement(), and IWORKBezierElement().

The documentation for this class was generated from the following files:

- IWORKBezierElement.h
- IWORKBezierElement.cpp